HttpMethodConstraintElement (Servlet 6.1 API Documentation - Apache Tomcat 11.0.23)
Description: declaration: package: jakarta.servlet, class: HttpMethodConstraintElement

# Class HttpMethodConstraintElement

java.lang.Object
jakarta.servlet.HttpConstraintElement
jakarta.servlet.HttpMethodConstraintElement

public class HttpMethodConstraintElement extends HttpConstraintElement
Programmatic equivalent of a security constraint defined for a single HTTP method.

Since:
  Servlet 3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpMethodConstraintElement(String methodName)`
  Construct an instance for the given HTTP method name and a default `HttpConstraintElement`.
  `HttpMethodConstraintElement(String methodName, HttpConstraintElement constraint)`
  Construct an instance for the given HTTP method name and `HttpConstraintElement`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMethodName()`
  Obtain the name of the HTTP method for which this constraint was created.

  ### Methods inherited from class HttpConstraintElement

  `getEmptyRoleSemantic, getRolesAllowed, getTransportGuarantee`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HttpMethodConstraintElement

    public HttpMethodConstraintElement(String methodName)
    Construct an instance for the given HTTP method name and a default `HttpConstraintElement`.
    Parameters:
      `methodName` - The HTTP method name

  - ### HttpMethodConstraintElement

    public HttpMethodConstraintElement(String methodName, HttpConstraintElement constraint)
    Construct an instance for the given HTTP method name and `HttpConstraintElement`.
    Parameters:
      `methodName` - The HTTP method name
      `constraint` - The constraint for the given method

- ## Method Details

  - ### getMethodName

    public String getMethodName()
    Obtain the name of the HTTP method for which this constraint was created.
    Returns:
      The HTTP method name as provided to the constructor